UnbindPrivateZoneVpc

1. API Description

This API (UnbindPrivateZoneVpc) is used to Disassociate global VPCs from a DNS Zone.

circle-info

Note

  • If the VPC ID list includes IDs that are not associated with the DNS Zone, those IDs will be ignored and the operation will not fail.

2. Input Parameters

The following request parameter list only provides API request parameters.

Parameter Name
Required
Type
Description

zoneId

Yes

String

DNS Zone ID.

vpcIds

Yes

Array of String

List of VPC IDs to be disassociated.

3. Output Parameters

Parameter Name
Type
Description

requestId

String

The unique request ID, which is returned for each request.

RequestId is required for locating a problem.

4. Code Example

Disassociate a global VPC from a DNS Zone.

POST /api/v2/zdns HTTP/1.1
Host: console.zenlayer.com
Content-Type: application/json
X-ZC-Action: UnbindPrivateZoneVpc
<Common Request Params>

Request:
{
    "zoneId": "<zoneId>",
    "vpcIds": [
        "<vpcId>"
    ]
}

Response:
{
  "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3",
  "response": {
    "requestId": "T05992D0C-7E8B-4047-B0C0-780F2CD549D3"
  }
}

5. Developer Resources

Zenlayer Cloud API 2.0 integrates SDKs,to make it easier for you to call APIs. More programming languages will be supported.

6. Error Codes

The following only lists the error codes related to the API business logic. For other error codes, see Common Error Codes.

HTTP Status Code
Error Code
Description

404

INVALID_PRIVATE_ZONE_NOT_FOUND

DNS Zone does not exist.

Last updated